- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_body.h File Reference

axiom_soap_body struct More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_element.h>`
`#include <axiom_namespace.h>`
`#include <axiom_soap_fault.h>`
`#include <axiom_soap_envelope.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_body | axiom_soap_body_t
## Functions
AXIS2_EXTERN axiom_soap_body_t * | axiom_soap_body_create_with_parent (const axutil_env_t *env, struct axiom_soap_envelope *envelope)
AXIS2_EXTERN void | axiom_soap_body_free (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_soap_body_has_fault (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axiom_soap_fault_t * | axiom_soap_body_get_fault (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_body_get_base_node (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_body_get_soap_version (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_build (axiom_soap_body_t *body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_add_child (axiom_soap_body_t *body, const axutil_env_t *env, axiom_node_t *child)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_convert_fault_to_soap11 (axiom_soap_body_t *soap_body, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_body_process_attachments (axiom_soap_body_t *soap_body, const axutil_env_t *env, void *user_param, axis2_char_t *callback_name)

## Detailed Description

axiom_soap_body struct